I am pretty new to FreeBSD, but I am trying to get current to run on my 
laptop with cardbus. With DP1 the kernel crashes everytime I insert a card. 
After diving in I realised that I must have made a mistake when compiling 
it. I then did cvsup to get the latest version but trying I just get this 
far :

bash-2.05a# make -DNO_WERROR depend
rm -f .olddep
if [ -f .depend ]; then mv .depend .olddep; fi
make _kernel-depend
cc -c -O -pipe -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes 
-Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual 
-fformat-extensions -ansi -g -nostdinc -I- -I. -I../../.. -I../../../dev 
-I../../../contrib/dev/acpica -I../../../contrib/ipfilter 
-I../../../../include -D_KERNEL -include opt_global.h 
-mpreferred-stack-boundary=2 ../../../i386/i386/genassym.c
In file included from ../../../sys/buf.h:263,
                 from ../../../i386/i386/genassym.c:46:
../../../sys/proc.h:117: field `ar_args' has incomplete type
*** Error code 1

Stop in /usr/src/sys/i386/compile/NEWCARD.
*** Error code 1

Stop in /usr/src/sys/i386/compile/NEWCARD.

I assume this is known or I am stupid? :)

- kurtis -

To Unsubscribe: send mail to [EMAIL PROTECTED]
with "unsubscribe freebsd-current" in the body of the message

Reply via email to